
QGIS Application - Bug report #14234

python error when searching tools in Processing/QGIS master

2016-02-04 10:34 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 22231

Description

it only happens on Windows:

2016-02-04T18:31:40    1    Traceback (most recent call last):

              File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\gui\\ProcessingToolbox.py", line 105, in textChanged

                self._filterItem(self.algorithmTree.invisibleRootItem(), text)

              File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\gui\\ProcessingToolbox.py", line 127, in _filterItem

                showChild = self._filterItem(child, text)

              File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\gui\\ProcessingToolbox.py", line 127, in _filterItem

                showChild = self._filterItem(child, text)

              File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\gui\\ProcessingToolbox.py", line 135, in _filterItem

                if item.alg.shortHelp() is not None:

              File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\algs\\gdal\\GdalAlgorithm.py", line 56, in shortHelp

                ''' %  (self.commandName(), self.commandName()))

              File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\algs\\gdal\\GdalAlgorithm.py", line 64, in commandName

                name = alg.getConsoleCommands()[0]

            AttributeError: dissolve instance has no attribute 'getConsoleCommands'

History

#1 - 2016-02-05 01:22 AM - Alexander Bruy

Not reproducible here with latest master. Maybe you have some 3rd party Processing providers installed?

#2 - 2016-02-05 02:31 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed
